"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TriggerStatus = void 0;
class TriggerStatus {
    id;
    io;
    constructor(id, io) {
        this.id = id;
        this.io = io;
    }
    async update(key, status) {
        const properties = [];
        if (status.label) {
            properties.push({
                label: "Label",
                text: status.label,
            });
        }
        if (status.state) {
            properties.push({
                label: "State",
                text: status.state,
            });
        }
        return await this.io.runTask(key, async (task) => {
            return await this.io.triggerClient.updateStatus(this.io.runId, this.id, status);
        }, {
            name: status.label ?? `Status update`,
            icon: "bell",
            params: {
                ...status,
            },
            properties,
        });
    }
}
exports.TriggerStatus = TriggerStatus;
//# sourceMappingURL=status.js.map