import type { AsyncMap } from "@systemfsoftware/trigger.dev_core";
import type { KeyValueStoreResponseBody } from "@systemfsoftware/trigger.dev_core";
import { type Json } from "../io.js";
type QueryKeyValueStoreFunction = (action: "DELETE" | "GET" | "HAS" | "SET", data: {
    key: string;
    value?: string;
}) => Promise<KeyValueStoreResponseBody>;
export declare class KeyValueStoreClient implements AsyncMap {
    #private;
    private queryStore;
    private type;
    private namespace;
    constructor(queryStore: QueryKeyValueStoreFunction, type?: string | null, namespace?: string);
    delete(key: string): Promise<boolean>;
    get<T extends Json<T>>(key: string): Promise<T | undefined>;
    has(key: string): Promise<boolean>;
    set<T extends Json<T>>(key: string, value: T): Promise<T>;
}
export {};
//# sourceMappingURL=keyValueStoreClient.d.ts.map